/**
*Example App
* There are different ways implementing an App
*/
var dropboxApp = dropboxApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
dropboxApp.App = function () {
    this.id = 'Dropbox';
    this.name = 'Dropbox';
    this.version = '6.0.4';
    this.active = false;
    this.menuIcon = '/apps/dropbox/images/logo.png?v=6.0.4&';
    this.shortcutIcon = '/apps/dropbox/images/logo.png?v=6.0.4&';
    this.entryUrl = '/apps/dropbox/dropbox.html?v=6.0.4&';
    var self = this;
    this.dropboxAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Dropbox')){
    		return false;
    	}
        self.window=new MUI.Window({
            id: 'dropboxAppWindow',
            title: UNAS._('Dropbox'),
            icon: '/apps/dropbox/images/logo_small.png?v=6.0.4&',
            loadMethod: 'xhr',
            width: 700,
            height: 550,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [300, 2500], 'y': [170, 2000] },
            contentURL: '/apps/dropbox/dropbox.html?v=6.0.4&',
            require: {  css: ['/apps/dropbox/css/style.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Dropbox",'dropboxAppWindow')}
        });
    };
    this.dropboxAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('Dropbox');
        UNAS.RemoveMenu('Dropbox');
        UNAS.RemoveAppFromGroups('Dropbox', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Dropbox', 'Help');
        UNAS.RemoveAppFromApps('Dropbox');
    }
    // new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Dopbox', '', this.dropboxAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Dropbox', this.dropboxAppWindow);
	// new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 6, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
	var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Dropbox', UNAS._('Dropbox')); //translate menu
        UNAS.SetShortcutTitle('Dropbox', UNAS._('Dropbox')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('dropboxAppWindow', UNAS._('Dropbox'));
        }
    }
	UNAS.LoadTranslation('/apps/dropbox/languages/Translation?v='+this.version,  OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name,this.shortcutIcon,this.dropboxAppWindow,this.dropboxAppUninstall);
};

new dropboxApp.App(); //Create app
